Skip to main content
`Ctrl`+`K`

# DMPlexGetPartitioner

Get the mesh partitioner

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetPartitioner(DM dm, PetscPartitioner *part)

Not Collective

## Input Parameter

- dm - The `DM`

## Output Parameter

- part - The `PetscPartitioner`

## Note

This gets a borrowed reference, so the user should not destroy this `PetscPartitioner`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `PetscPartitioner`, `PetscSection`, `DMPlexDistribute()`, `DMPlexSetPartitioner()`, `PetscPartitionerDMPlexPartition()`, `PetscPartitionerCreate()`

## Level

developer

## Location

src/dm/impls/plex/plexpartition.c

## Examples

src/ts/tutorials/ex30.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages